#include <OneWire.h>
#include <DallasTemperature.h>

// Data wire is plugged into pin 5 on the Arduino
#define ONE_WIRE_BUS 5

// Setup a OneWire instance to communicate with any OneWire devices
OneWire oneWire(ONE_WIRE_BUS);

// Pass OneWire reference to Dallas Temperature
DallasTemperature sensors(&oneWire);

void setup(void)
{
    Serial.begin(9600);
    pinMode(ONE_WIRE_BUS, OUTPUT);
    sensors.begin(); // Start up the library
}

void loop(void)
{
    sensors.requestTemperatures(); //Call sensor to request the Temperature
    Serial.println("Temperature is: " + String(sensors.getTempCByIndex(0)) + "°C"); //Output the values on the monitor
    delay(1000);
}
